/**
 * @module libflitter/controller/Controller
 */

const { Injectable } = require('flitter-di')

/**
 * Base controller for handling requests.
 * @extends module:flitter-di/src/Injectable~Injectable
 */
class Controller extends Injectable {
    /**
     * Defines the services required by this controller.
     * @returns {Array<string>}
     */
    static get services() {
        return [...super.services, 'app', 'configs']
    }
}

module.exports = exports = Controller
