/**
 * @module libflitter/errors/StopError
 */

const FlitterError = require('./FlitterError')

/**
 * An error that, if thrown within Flitter, will cause Flitter to stop loading units. When this is thrown,
 * Flitter will begin cleaning up units to stop gracefully. This error should be preferred over
 * {@link libflitter/errors/FatalError~FatalError} when possible.
 * @extends module:libflitter/errors/FlitterError~FlitterError
 */
class StopError extends FlitterError {
    
    constructor(msg = "Flitter encountered an error and had to stop.", ...args){
        super(msg, ...args)
    }
    
}

module.exports = exports = StopError
